stages:
  - testing
  - deploy

testing-job:
  stage: testing
  script:
    - echo "Iniciado CI/CD en estapa testing desde conf segura..."
    - service centrodesoporte_odoo stop
    - cd /opt/centrodesoporte_user/solt-support-manage/
    - git pull origin
    - service centrodesoporte_odoo start
  environment:
    name: testing
    url: https://www.centrodesoporte.site/
  only:
    - 15_develop

deploy-job:
  stage: deploy
  script:
    - echo "Iniciando despliegue..."
    - echo "Sin implementar aún"
  only:
      - 15_master
